%define compile_apidox 0
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

Name: 		kdevelop
Summary: 	Integrated Development Environment for C++/C
Version:        4.7.1
Release:        %mkrel 3
URL:            http://www.kdevelop.org/
Source:         http://download.kde.org/stable/kdevelop/%version/src/kdevelop-%version.tar.xz
Group: 		Graphical desktop/KDE4
BuildRoot:	%_tmppath/%name-%version-%release-root
License:        GPL
BuildRequires:  kdelibs-devel
BuildRequires:  kdevplatform-devel >= 1.7.0
BuildRequires:  jpeg-devel
BuildRequires:  png-devel 
BuildRequires:  %{_lib}x11-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  flex
BuildRequires:  graphviz
BuildRequires:  subversion-devel
BuildRequires:  apr-devel
BuildRequires:  apr-util-devel
BuildRequires:	automoc
%if %compile_apidox
BuildRequires:  doxygen
%endif
BuildRequires:  %{_lib}check-devel
BuildRequires:  cppunit-devel
BuildRequires:  kde-workspace-devel
#-----------------------------------
Requires:      cmake
Requires:      git
Requires:      kdevplatform
#----------------------------------
Obsoletes: 	%{name} < %version


%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%files
%defattr(-,root,root) 
%{_kde_bindir}/kdevelop
%{_kde_bindir}/kdevelop!
%{_kde_datadir}/kde4/services/*.desktop
%{_kde_appsdir}/kdevcustommakemanager
%{_kde_appsdir}/kdevelop
%{_kde_appsdir}/kdevcppsupport
%{_kde_appsdir}/kdevgdb
%{_kde_appsdir}/kdevappwizard/templates/*
%{_kde_datadir}/applications/kde4/kdevelop.desktop
%{_kde_iconsdir}/*/*/*/*
%{_kde_datadir}/config/kdeveloprc
%{_kde_libdir}/kde4/kcm_kdev_makebuilder.so
%{_kde_libdir}/kde4/kcm_kdevcmake_settings.so
%{_kde_libdir}/kde4/kcm_kdev_ninjabuilder.so
%{_kde_libdir}/kde4/kcm_kdevcustomdefinesandincludes.so
%{_kde_libdir}/kde4/kdevcmakebuilder.so
%{_kde_libdir}/kde4/kdevcmakemanager.so
%{_kde_libdir}/kde4/kdevcmakedocumentation.so
%{_kde_libdir}/kde4/kdevcpplanguagesupport.so
%{_kde_libdir}/kde4/kdevcustommakemanager.so
%{_kde_libdir}/kde4/kdevmakebuilder.so
%{_kde_libdir}/kde4/kdevastyle.so
%{_kde_libdir}/kde4/kdevghprovider.so
%{_kde_libdir}/kde4/kdevninja.so
%{_kde_libdir}/kde4/kdevgdb.so
%{_kde_libdir}/kde4/kdevqthelp.so
%{_kde_libdir}/kde4/kdevdefinesandincludesmanager.so

%{_kde_libdir}/libkdevcompilerprovider.so
%{_kde_libdir}/libkdev4cmakecommon.so
%{_kde_libdir}/libkdev4cppduchain.so
%{_kde_libdir}/libkdev4cppparser.so
%{_kde_libdir}/libkdev4cpprpp.so


%_kde_datadir/locale/*/LC_MESSAGES/*
%_kde_datadir/mime/packages/kdevelop.xml
%{_kde_libdir}/kde4/kdevkdeprovider.so
%{_kde_libdir}/kde4/kdevmanpage.so
%{_kde_libdir}/kde4/kdevqthelp_config.so
%{_kde_libdir}/kde4/kdevcustomscript.so
%{_kde_libdir}/kde4/krunner_kdevelopsessions.so
%{_kde_libdir}/kde4/plasma_engine_kdevelopsessions.so
%{_kde_datadir}/applications/kde4/kdevelop_ps.desktop
%{_kde_datadir}/apps/plasma/plasmoids/kdevelopsessions/contents/ui/kdevelopsessions.qml
%{_kde_datadir}/apps/plasma/plasmoids/kdevelopsessions/metadata.desktop
%{_kde_datadir}/apps/plasma/services/org.kde.plasma.dataengine.kdevelopsessions.operations
%{_kde_datadir}/config/kdevelop-qthelp.knsrc
%{_kde_datadir}/doc/HTML/en/kdevelop/common
%{_kde_datadir}/doc/HTML/en/kdevelop/index.cache.bz2
%{_kde_datadir}/doc/HTML/en/kdevelop/index.docbook
%{_kde_datadir}/doc/HTML/en/kdevelop/*.png
%{_kde_libdir}/kde4/kcm_kdev_cmakebuilder.so
%{_kde_libdir}/kde4/kcm_kdevcustombuildsystem.so
%{_kde_libdir}/kde4/kdevcustombuildsystem.so
%{_kde_libdir}/kde4/kdevexecuteplasmoid.so
%{_kde_datadir}/apps/kdevcodegen/templates/class_declaration_cpp.txt
%{_kde_datadir}/apps/kdevcodegen/templates/cpp_header.h
%{_kde_datadir}/apps/kdevcodegen/templates/cpp_header_onlyfunctions.h
%{_kde_datadir}/apps/kdevcodegen/templates/cpp_implementation.cpp
%{_kde_datadir}/apps/kdevcodegen/templates/method_declaration_cpp.txt
%{_kde_datadir}/apps/kdevcodegen/templates/method_definition_cpp.txt
%{_kde_datadir}/apps/kdevfiletemplates/templates/c_gobject.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/c_gobject_private.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/c_gobject_properties.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/cmake_module.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/cpp_basic.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/cpp_qtestlib.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/cpp_qtestlib_kde.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/cpp_qtestlib_kdevelop.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/php_phpunit.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/private_pointer.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/python_basic.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/python_pyunit.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/qobject.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/qt_shared.tar.bz2
%{_kde_datadir}/apps/kdevfiletemplates/templates/qt_widget.tar.bz2
%{_kde_datadir}/apps/kdevcodegen/templates/license_header_cpp.txt
%{_kde_datadir}/apps/kdevmanpage/manpagedocumentation.css
#------------------------------------------------

%package devel
Summary: Development files for kdevelop
Group: Development/Libraries
Requires: %name = %version-%release

%description devel
Development files for kdevelop.

%files devel
%defattr(-,root,root)
%{_kde_appsdir}/cmake/modules/FindKDevelop.cmake
%{_kde_includedir}/kdevelop

#------------------------------------------------

%package doc
Summary: Development files for kdevelop
Group: Documentation

%description doc
Documentation kdevelop.

%files doc
%defattr(-,root,root)

#------------------------------------------------

%prep
%setup -q -n kdevelop-%version

%build
%cmake_kde4
%make

%if %compile_apidox
make apidox
%endif

%install
rm -fr %buildroot
%makeinstall_std -C build


%clean
rm -fr %buildroot


%changelog
* Wed Jul 22 2015 pp <pp> 4.7.1-3pclos2015
- rebuild on 15.04.3

* Mon Apr 27 2015 bb <bb> 4.7.1-2pclos2015
- dont add any requires let the user
- figure it out for themselves

* Sun Mar 29 2015 bb <bb> 4.7.1-1pclos2015
- update

* Sat Dec 20 2014 pinoc <vogtpet at gmail.com> 4.7.0-1pclos2014
- 4.7.0

* Fri Nov 08 2013 bb <bb> 4.5.2-1pclos2013
- update
